# Interface methods for submodule: DiffusionTensor3D
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SymmetricSecondRankTensorProxy as _SymmetricSecondRankTensorProxy


# Interface methods for class: DiffusionTensor3D
class DiffusionTensor3DProxy(_SymmetricSecondRankTensorProxy):
	def GetTrace(self) -> float:
		""""""
		...

	def GetFractionalAnisotropy(self) -> float:
		""""""
		...

	def GetRelativeAnisotropy(self) -> float:
		""""""
		...

	def GetInnerScalarProduct(self) -> float:
		""""""
		...

